Gets a single company by ID.

Path Parameters
  • id
    Type: string
    required

    Company ID

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/network/companies/{id}
curl 'https://app.propstreet.com/api/v1/network/companies/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "uri": null,
  "externalRefs": [
    {
      "namespace": "string",
      "id": "string"
    }
  ],
  "name": "string",
  "countryCode": null,
  "homepageUrl": null,
  "linkedInUrl": null,
  "domain": null,
  "tags": [
    "string"
  ],
  "strategy": null,
  "contacts": [
    {
      "id": "string",
      "uri": null,
      "firstName": null,
      "lastName": null,
      "email": null,
      "jobTitle": null,
      "isPrimary": true
    }
  ],
  "profilePictureUrl": null,
  "createdUtc": "2026-05-18T20:22:36.959Z",
  "updatedUtc": "2026-05-18T20:22:36.959Z",
  "deletedUtc": null,
  "etag": "string",
  "changeType": null,
  "changeOrigin": null
}